/*===================================================
			Additional points
====================================================*/

use "..\data\data_user", clear
	
encode c_code, gen(cn)	
	
	
** Figure D.1
*------------------------------
 
qui{
gen off_ret = .
replace off_ret	=	60	if 	c_code ==	"BGR"	& fem==	0
replace off_ret	=	55	if 	c_code ==	"BGR"	& fem==	1
replace off_ret	=	62	if 	c_code ==	"CZE"	& fem==	0
replace off_ret	=	57	if 	c_code ==	"CZE"	& fem==	1
replace off_ret	=	63	if 	c_code ==	"MKD"	& fem==	0
replace off_ret	=	60	if 	c_code ==	"MKD"	& fem==	1
replace off_ret	=	62	if 	c_code ==	"HUN"	& fem==	0
replace off_ret	=	62	if 	c_code ==	"HUN"	& fem==	1
replace off_ret	=	65	if 	c_code ==	"POL"	& fem==	0
replace off_ret	=	60	if 	c_code ==	"POL"	& fem==	1
replace off_ret	=	62	if 	c_code ==	"ROM"	& fem==	0
replace off_ret	=	57	if 	c_code ==	"ROM"	& fem==	1
replace off_ret	=	58	if 	c_code ==	"SVN"	& fem==	0
replace off_ret	=	57	if 	c_code ==	"SVN"	& fem==	1
replace off_ret	=	60	if 	c_code ==	"LVA"	& fem==	0
replace off_ret	=	55	if 	c_code ==	"LVA"	& fem==	1
replace off_ret	=	63	if 	c_code ==	"KAZ"	& fem==	0
replace off_ret	=	58	if 	c_code ==	"KAZ"	& fem==	1
replace off_ret	=	60	if 	c_code ==	"RUS"	& fem==	0
replace off_ret	=	55	if 	c_code ==	"RUS"	& fem==	1
replace off_ret	=	60	if 	c_code ==	"UKR"	& fem==	0
replace off_ret	=	55	if 	c_code ==	"UKR"	& fem==	1
}


foreach  i in  0 1{
mat res_`i' = J(11,3,-99)
mat rownames res_`i' = BGR CZE HUN  KAZ LVA MKD POL ROM RUS SVN   UKR
local irow = 1
foreach var in BGR CZE HUN  KAZ LVA MKD POL ROM RUS SVN   UKR{

quiet ttest age = off_ret if c_code =="`var'" & fem==`i' & age>40 & t_retire2_a==1 

mat res_`i'[`irow',1] = (r(mu_1)-r(mu_2)) 
mat res_`i'[`irow',2] = (r(mu_1)-r(mu_2)) - r(se)*invt(r(df_t),0.975)
mat res_`i'[`irow',3] = (r(mu_1)-r(mu_2)) + r(se)*invt(r(df_t),0.975)

local ++irow
}
}


 

			
gen age2 = age -off_ret	

mean age2 if t_retire2_a==1 & age>40 & fem==1 & age89<60 & off_ret!=. [aw=weight_0]   , over(cn)
est store m1

mean age2  if t_retire2_a==1 & age>40 & fem==0 & age89<60 [aw=weight_0] , over(cn)
est store m0

* Figure D.1
coefplot m1, bylabel("Women") || m0, bylabel("Men")    name(gr1, replace)  ///
			xline(0, lpattern(dash) lcolor(black)) scheme(s1mono)
 
 
 
 
*==============================================================================*


** Footnote 14 -- survival bias.
*--------------------------------------------

* Survival probability data preparation
import excel "..\data\survival_all.xlsx", sheet("HistTab11") firstrow clear

replace country = country[_n-1] if country==""
replace country = strtrim(country)
replace country = "Kazakhstan" if country =="Kazakhstan [16]"
replace country = "Moldova" if country =="Republic of Moldova"

drop if gender=="" & year ==.
replace gender = gender[_n-1] if gender==""

drop if year ==.
drop if year ==1992 & country =="fyrom"
ren year year_surv

replace age14 = string(age0) if age14=="[0-4]"
destring age14, replace


foreach v in age7074 age7579 age8084 age8589 age9094 age9599 age100 {
replace `v' = string(age6569) if `v'=="[65+]"
capture replace `v' = string(age8084) if `v'=="[80+]"
capture replace `v' = string(age8589) if `v'=="[85+]"
destring `v' , replace
}

foreach var of varlist age*{
replace `var' = 1-`var'/1000
}


global name0 country
capture do "country codes"
drop Code

gen age_0 = age0*age14^5* age59^5 * age1014^5 * age1519 

forvalues i = 1/80{

local l1 =max(floor(`i'/5)*5,1)
local l2 =4*(`l1'==1)+ (4+`l1')*(`l1'!=1)
 
local l3 = max(floor((`i'+17)/5)*5,1) 
local l4 =4*(`l3'==1)+ (4+`l3')*(`l3'!=1)	

local j = `i'-1
gen age_`i' = age_`j'*age`l3'`l4'/age`l1'`l2'

}
 
drop age???? 
drop age0 age14 age59 age100 All

reshape long age_ , i(country gender) j(age89)
ren age_ surv

capture drop fem
gen fem = gender=="Female "
drop gender  country

tempfile lucas
save `lucas'

*  Impact on retirement flows
use ..\data\data_user
egen age89 = min(age), by(id)
merge m:1 age89 fem c_code using `lucas'
drop if _merge==2

gen weight_surv = weight_1*1/surv
tempfile part1

preserve
drop if weight_surv ==.
collapse (sum) t_retire2_a [iw=weight_1], by(c_code)
ren t_retire2_a retire
save `part1', replace
restore

drop if weight_surv ==.
collapse (sum) t_retire2_a [iw=weight_surv], by(c_code)
ren t_retire2_a retire_surv

merge 1:1 c_code using `part1'

gen new_retire = retire_surv/retire -1

sum new_retire, d

