*===========================================*
*		Importance of different flows		*
*===========================================*

quiet

use "..\data\data_user", clear

* Data preparation

gen emp = unemp_a==0 & indus!=5 & indus!=1

gen literature= c_code=="EST" & year>1991 & year<2002
replace literature=  c_code=="RUS" & year>1989 & year<2001
replace literature=  c_code=="RUS" & year==2004
replace literature=1 if c_code=="UKR" & year>1991 & year<2001
replace literature=1 if c_code=="BGR" & year>1993 & year<1998
replace literature=1 if c_code=="POL" & year>1993 & year<2001
replace literature=1 if c_code=="ROM" & year>1994 & year<1998
replace literature=1 if c_code=="SVN" & year>1990 & year<1997
replace literature=1 if c_code=="SVK" & year >1993 & year<1998
replace literature=1 if c_code=="SVK" & year >1999 & year<2005
replace literature=1 if c_code=="CZE" & year >1991 & year<1997
replace literature=1 if c_code=="HUN" & year >1992 & year<1997

collapse 	(sum) ab0 ch0 abch0 anti0 none0 t_retire2_a f_school_a   emp   ///
			(first) gdp_pc literature unemp_wb [iw=weight_1], by(c_code year)

encode c_code , gen(cn)

quiet{
	foreach var in  ab0 ch0 abch0 anti0 none0 f_school_a  t_retire2_a  {
		gen s_`var' =`var'/emp
 
		reg s_`var' i.cn i.year  if year>1989, robust
 		capture drop y_`var' r_`var'
		predict y_`var' , xb
		predict r_`var' , res
	}
}

mat define raw1	=J(4,5,.)
mat define raw2	=J(4,5,.)
 


capture program drop exxtract
program exxtract 
	matrix `1'[`2',1]		=round(r(mu_1),0.0001)
	matrix `1'[1,`3']		=round(r(mu_2),0.0001)
	matrix `1'[`2',`3']		=round(r(p),0.01)
end program	

local irow = 1
foreach var1 in ab0 ch0 abch0{
	local ++irow
	local icol=1

	foreach var2 in  t_retire2_a f_school_a none0 anti0 {
		local ++icol

		quiet ttest s_`var1' == s_`var2'
		exxtract raw1  `irow' `icol'

		quiet ttest s_`var1' ==y_`var2' if literature==1
		exxtract raw2 `irow' `icol'
		}
}

** Table C.3

foreach mats in raw1 raw2 res1 res2 {
mat colnames `mats' = "_" "EXIT" "ENTRY" "SAME" "OPPOSITE" 
mat rownames `mats' = "_" "OWNERSHIP" "SECTORAL" "O. and S."

mat l `mats'
}
 
