*-----------------------------------*
*	Descriptive statistics			*
*-----------------------------------*

** The file outputs a table with descriptive statistics of the working sample
** It produces Table B.5 


use "..\data\data_user", clear

 
	
global countries "albania armenia azerbaijan belarus bosnia	bulgaria croatia czechrep estonia fyrom	georgia	hungary	kazakhstan kyrgyzstan latvia lithuania moldova montenegro poland romania russia serbia slovakia slovenia tajikistan ukraine uzbekistan"
foreach country in $countries{
quiet sum country if countryname =="`country'"
local c = r(mean)

matrix `country' = J(4,2,-99)
local j =0
local names ""
foreach start in mc_ sdc_{
local ++j
local i=1
foreach var in ab ch both none{
foreach end in 0{     // Years of pause between movements! Restricted to no pause

if `j'==1{
local names  "`names' `var'`end' "
}
quiet sum `start'`var'`end' if country==`c' & unemp_a==0
local aux`i'`j' = r(mean)
*di "`i'`j'"
local ++i

}
}
}

matrix rownames `country' = `names'
matrix colnames `country' = mean sd


forvalues i = 1/8{
if `i'<5{
matrix `country'[`i',1] = `aux`i'1' 
}
if `i'>4{
local k = `i'-4
matrix `country'[`k',2] = `aux`k'2' 

}
}
}

gen gdp=.
gen gdppc=.
foreach country in $countries{
quiet sum gdpconstant2005us if countryname=="`country'" & year==1995
local m`country' = r(mean)

quiet sum gdp_pc if countryname=="`country'" & year==1995
local p`country' = r(mean)

replace gdp = gdpconstant2005us/`m`country'' 	if countryname=="`country'"
replace gdppc = gdp_pc/`p`country'' 			if countryname=="`country'"
}


di "Loop 2 is over" 

local mac_vars	"gdp gdppc min_wage wage_gdp unem_ratio" 
foreach country in $countries{

local i =0
local years ""
forvalues y = 1991/2006{
local restrict countryname  == "`country'" & year == `y' & unemp_a<2

local years `years' `y' 
local j =0
local++i
foreach var in `mac_vars' {
local ++j
/*quiet mean `var' if `restrict' [aw=weight_0]
matrix b = r(table)
local aux`i'`j' = b[1,1]*/
quiet sum `var' if `restrict'
local aux`i'`j' = r(mean)

}
}

matrix `country'2 = J(`i',`j',-99)
matrix rownames `country'2 = `years'
matrix colnames `country'2 = `mac_vars'



forvalues l = 1/`i'{

forvalues k =1/`j'{
matrix `country'2 [`l',`k'] = `aux`l'`k''
}
}
}

di "Loop 3 is over"
 
local vars 		"age fem deduc1 deduc3 pubv" 
foreach country in $countries{

local i =0
local years ""
forvalues y = 1991/2006{
local restrict countryname  == "`country'" & year == `y' & unemp_a<2

local years `years' `y' 
local j =0
local++i
foreach var in `vars' {
local ++j
quiet mean `var' if `restrict' [aw=weight_0]
matrix b = r(table)
local aux`i'`j' = b[1,1]
}
}

matrix `country'3 = J(`i',`j',-99)
matrix rownames `country'3 = `years'
matrix colnames `country'3 = `vars'

forvalues l = 1/`i'{

forvalues k =1/`j'{
matrix `country'3 [`l',`k'] = `aux`l'`k''
}
}
}
di "Loop 4 is over" 
//
 
set linesize 150
// Different movement types (AB, CH, etc)
foreach country in $countries{
matrix l `country', format (%9.3f)  
}
// Different macro indicators 
foreach country in $countries{
matrix l `country'2, format (%9.3f)  
}

// DIfferent sample descriptors
foreach country in $countries{
matrix l `country'3, format (%9.3f)  
}


 

exit
