*-------------------------------------------------------*
*		Comparing to Ukraine and Russian databases      *
*-------------------------------------------------------*


qui cret li

matrix ukr_rus = J(6,7,-99)

*---------------------------*
* Life in Transition Survey *
*---------------------------*

use "..\data\data_user", clear 

 
gen manuf = indus ==2 if abroadv==0 & unemp_a ==0
replace serv= . if unemp_a!=0

replace pubv = 0 if indus ==5

local irow =1
foreach cc in  UKR RUS{

if "`cc'" == "UKR" local years 1991 1996 2001
if "`cc'" == "RUS" {
local years 1994 1999 2004
replace pubv = 1 if indus==5
}

foreach y in `years'{

matrix ukr_rus[`irow',1] = `y'

qui sum serv [aw=weight_1] if abroadv==0 & year ==`y' & c_code =="`cc'"   
matrix ukr_rus[`irow',5] = r(mean)

qui sum manuf [aw=weight_1] if abroadv==0 & year ==`y' & c_code =="`cc'" 
matrix ukr_rus[`irow',6] = r(mean)

qui sum pubv [aw=weight_1] if abroadv==0 & year ==`y' & c_code =="`cc'"   
matrix ukr_rus[`irow',7] =  r(mean)

local ++irow 
}
}



mat rownames ukr_rus= UKR UKR UKR RUS RUS RUS 
mat l ukr_rus

/*
*---------------------------*
*		Ukrainian LMS		*
*---------------------------*

use "..\ULMS\data\history_full", clear

gen serv =  indus!=. & indus>4 & indus<8 
replace serv = . if (indus ==. | indus<0) | country!=1


gen manuf =  indus==2 | indus==3
replace manuf = . if (indus ==. | indus<0) | country!=1


gen public = types>0 & types <6 & indus<8
 
local irow = 1
foreach i in 1991 1996 2001{

qui sum serv    if seq_start < (`i'-1900)*12 & seq_end >= (`i'-1900)*12 +1   
matrix ukr_rus[`irow',2] = r(mean)

qui  sum manuf    if seq_start < (`i'-1900)*12 & seq_end >= (`i'-1900)*12 +1  
matrix ukr_rus[`irow',3] = r(mean)

qui sum public    if seq_start < (`i'-1900)*12 & ch_year > `i'+1 & seq_end >= (`i'-1900)*12 +1   
matrix ukr_rus[`irow',4] =  r(mean)



local ++irow
}
clear
 

*---------------------------*
*		Russian LMS			*
*---------------------------*

use "..\RLMS\russia_panel", clear


gen serv = indus==4
replace serv = .  if lms>2

gen manuf = indus==3
replace manuf = .  if lms>2

replace public =. if lms>2
 

quiet{

sum public if year ==1994
mat ukr_rus[4,4] = r(mean)

sum public if year ==2000
mat ukr_rus[5,4] = r(mean)

sum serv if year ==2004
mat ukr_rus[6,2] = r(mean)

sum manuf if year ==2004
mat ukr_rus[6,3] = r(mean)

sum public if year ==2004
mat ukr_rus[6,4] = r(mean)

}

mat l ukr_rus, format(%9.2f)
 */
 */
putexcel set ..\logs\matrix1 , modify


putexcel a42=matrix(ukr_rus) , rownames nformat(number_d2)
putexcel 	b41= "Year" c41="Services" d41="Industry" e41="Private" ///
			a41= "Country" f41="Services" g41="Industry" h41="Private" 
